# Create a Braintree buy (one-off) Uses the payment info captured by the braintree drop-in UI and encoded in the payment nonce to create a braintree customer and issue a one-off payment. When braintree responds successfully, the logged-in user will be granted all entitlements in the product's associated bundle. Endpoint: POST /blaize/payment/braintree/buy Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Header parameters: - `cookie` (string) The session cookie. Example: "`blaize_session=...` (string)" ## Request fields (application/json): - `product_id` (string, required) Product Id/slug Example: "lifetime-membership" - `price_point_id` (string, required) Price Point Id/slug Example: "gold-package" - `payment_nonce` (string, required) Payment method nonce from Braintree drop-in UI. Example: "eyJ2ZXmsaW5nQW...(lots more random-looking characters)...dyZWmVubW8iOiJvZmYifQ==" ## Response 200 fields (application/json): - `grant_id` (string) New grant of product bundle to user. Example: "aa583cb8-51d1-4bd9-9ec7-3a43796ef8e5" ## Response 400 fields ## Response 401 fields ## Response 404 fields